# Interface Activity

All Known Subinterfaces:
  `ImageActivity, RowActivity, SkyPointActivity, SpectrumActivity, SubsetActivity`

All Known Implementing Classes:
  `SampImageActivity`

public interface Activity
Superinterface for objects which can direct interoperability communications to one or more target applications based on the selection in a combo box model.

Since:
  17 Sep 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`ComboBoxModel<?>`
`getTargetSelector()`
Returns a ComboBoxModel which allows selection of target applications.

## Method Details

### getTargetSelector

ComboBoxModel<?> getTargetSelector()
Returns a ComboBoxModel which allows selection of target applications.

Returns:
  target application selection model